Subject: RE: [Sigtran] Sigtran Plugtest SUA/M3UA/M2UA/IUA - Day 2

From: "Richard Adams" <[email-masked]>
Date: Wed, 4 Dec 2002 17:14:00 +0100

Brian,
GT routing on the response is used in GSM international roaming.
Kind regards,
Dick Adams.

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: 04 December 2002 11:06
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Sigtran] Sigtran Plugtest SUA/M3UA/M2UA/IUA - Day 2

samahajan,

[email-masked] wrote:
(Wed, 04 Dec 2002 15:16:46)
> 
> 
> 
> 
> bidulock,
> 
> 
> >
> > Sandeep  >> No, That's not always the case. GT is performed in
response
> messages
> > also. Please see the following text from section 2.7.3 of Q.714.
> >
> > "When the called party address in an XUDT or LUDT or UDT message has
the
> routing
> > indicator  set  on  "Route  on  GT",  the routing indicator in the
calling
> party
> > address  shall  also  be  set to "Route on GT", unless the
destination is in
> the
> > same MTP network and that its MTP routing tables allows the message
to be
> routed
> > back."
> 
> I think you need to understand how SCCP is used in real networks.  GTT
is never
> performed on the response.  Repsonses are routed DPC only and must be
relayed at
> MTP Level 3.
> Sandeep >> In case of SCCP CL message transport responses
(UDTS/XUDTS/LUDTS) are
> sent only when request message  (UDT/XUDT/LUDT) could not be delivered
to peer
> side and the originator has set the "return on error" option. This is
an error
> condition and should not happen too frequently in case of correctly
configured
> and managed real network.
> I also disagree with you about how these responses are sent (when they
are
> sent). Using MTP3 relaying you can't sent back responses across SS7
networks and
> some times within the same SS7 network. SS7 is used in variety of ways
across
> the world, You need to produce some real evidence to say that what is
clearly
> recommended in specifications (and which is logical also) is not used
any where.

I'm not talking about UDTS.  UDTS has nothing to do with it.  I'm
talking about
TCAP response messages, which are routed on DPC only.

> 
> This is especially true of SMS messages, which was the case in point.
> Sandeep >> SCCP behaviour is independent on type of User data and
hence it can't
> behave differently for SMS traffic. SCCP never knows if it is
transporting SMS
> traffic.

But TCAP knows its sending SMS responses and routes them on DPC only.

> 
> 
> 
> >
> > Successful SCCP relay communications relies on STP function at MTP
for CL and
> > typically also requires it for CO (non-coupling of connection
sections).  Such
> > an IPSP would not be very useful for relay.
> >
> > Sandeep >> Non Coupled connection sections may not be possible as
there is no
> > relay at M3UA level. But there are many scenarios in SS7 network
also where
> > non-coupled connection sections will not be possible. Following is
what
> section
> > 2.7.3 of Q.714 recommends about usage of Routing Indicator of
Calling Address
> of
> > CR message.
> >
> > "For  a  CR message, the calling party address may be of the form
"Route on
> SSN"
> > because the subsequent messages will be routed section by section."
> 
> Do you know of an SCCP user that couples connection sections through
STPs?
> Sandeep >> SCCP Users are never aware if the SCCP connection they are
using in
> Coupled or Non-Coupled.
> 
> I know of no real world example.  All current connection oriented
applications
> (RANAP, BSSAP) do not couple through STPs (BSSAP doesn't even pass
through an
> STP).
> 
> 
> Rather than quoting what is possible in the spec, but never used in
real
> networks, can you cite a real world example where relaying at SCCP
only
> without the capability to transfer at MTP would be sufficient?
> 
> Sandeep >> Point I want to make is that nodes in the IP network (and
using
> SIGTRAN) should be able to talk to each other without a SG in between.

The can: point-to-point and without relay which is provided for in the
RFC.

> SG should only be needed in case a connectivity to SS7 network is
needed.

It is also needed for relay, because IPSPs cannot handle relay.

> You raise a concern that in some cases MTP3 level relaying is used in
> reverse direction and the absence of M3UA level relaying will cause
problem
> in those case and SG-SG communication is the only option.

The other option is not to relay.  IPSPs work fine in point-to-point
configuration.

> This is certainly not the case. I agree that in some cases MTP3 level
relaying
> is used in responses, but I see no disadvantage in case M3UA level
relaying is
> absent and SCCP level relaying being used in reverse direction. Which
happens in
> SCCP also in many cases.

What cases?  SCCP level relaying is never used in the reverse direction.
Can
you provide an SCCP application example where MTP relaying is not used
in the
reverse direction?

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 4 Dec 2002 11:36:24 -0700

Richard,

Then I suppose one could use SCCP only relay on M3UA for GSM
international roaming.  However, it wouldn't be useful for
much else.

--brian

Richard Adams wrote:                                   (Wed, 04 Dec 2002 17:14:00)